#!/usr/bin/env sh
set +e

update-resolv

update-ca-certificates

waitForService()
{
    ./wait-for-it.sh $1 -t 2 1>/dev/null 2>&1
    status=$?
    while [ $status != 0 ]
    do
        echo "[x] wating for $1..."
        sleep 1
        ./wait-for-it.sh $1 -t 2 1>/dev/null 2>&1
        status=$?
    done
}

waitForService "api-registry:8501"
waitForService "cache.service.ego.io:6379"
waitForService "logger.service.ego.io:24224"
waitForService "postgresdb.service.ego.io:5432"
# waitForService "api-logger:24224"
# waitForService "api-cache:6379"

set -euo pipefail

register-service

exec "$@"
